Managed Instance Dtcs - Get

Gets managed instance DTC settings.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/dtc/current?api-version=2025-01-01

URI Parameters

Name In Required Type Description
dtcName
path True

DtcName

The name of the managed instance DTC.

managedInstanceName
path True

string

The name of the managed instance.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ManagedInstanceDtc

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Gets managed instance DTC settings.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testinstance/dtc/current?api-version=2025-01-01

Sample response

{
  "name": "current",
  "type": "Microsoft.Sql/managedInstances/dtc",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testinstance/dtc/current",
  "properties": {
    "dtcEnabled": true,
    "dtcHostNameDnsSuffix": "dtcHostNameSuffixExample.com",
    "externalDnsSuffixSearchList": [
      "dns.example1.com",
      "dns.example2.com"
    ],
    "provisioningState": "Succeeded",
    "securitySettings": {
      "snaLu6point2TransactionsEnabled": false,
      "transactionManagerCommunicationSettings": {
        "allowInboundEnabled": false,
        "allowOutboundEnabled": true,
        "authentication": "NoAuth"
      },
      "xaTransactionsDefaultTimeout": 1000,
      "xaTransactionsEnabled": false,
      "xaTransactionsMaximumTimeout": 3000
    }
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

DtcName
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ManagedInstanceDtc

SQL Managed Instance DTC

ManagedInstanceDtcSecuritySettings

The Security Settings of managed instance DTC.

ManagedInstanceDtcTransactionManagerCommunicationSettings

The Transaction Manager Communication Settings of managed instance DTC.

ProvisioningState

The ARM provisioning state of the job execution.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DtcName

Value Description
current

current

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ManagedInstanceDtc

SQL Managed Instance DTC

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.dtcEnabled

boolean

Active status of managed instance DTC.

properties.dtcHostNameDnsSuffix

string

Host name dns suffix of managed instance DTC.

properties.externalDnsSuffixSearchList

string[]

External dns suffix search list of managed instance DTC.

properties.provisioningState

ProvisioningState

Provisioning state of managed instance DTC.

properties.securitySettings

ManagedInstanceDtcSecuritySettings

Security settings of managed instance DTC.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ManagedInstanceDtcSecuritySettings

The Security Settings of managed instance DTC.

Name Type Description
snaLu6point2TransactionsEnabled

boolean

Allow SNA LU 6.2 Transactions to managed instance DTC.

transactionManagerCommunicationSettings

ManagedInstanceDtcTransactionManagerCommunicationSettings

Transaction Manager communication settings of managed instance DTC.

xaTransactionsDefaultTimeout

integer (int32)

Default timeout for XA Transactions (in seconds).

xaTransactionsEnabled

boolean

Allow XA Transactions to managed instance DTC.

xaTransactionsMaximumTimeout

integer (int32)

Maximum timeout for XA Transactions (in seconds).

ManagedInstanceDtcTransactionManagerCommunicationSettings

The Transaction Manager Communication Settings of managed instance DTC.

Name Type Description
allowInboundEnabled

boolean

Allow Inbound traffic to managed instance DTC.

allowOutboundEnabled

boolean

Allow Outbound traffic of managed instance DTC.

authentication

string

Authentication type of managed instance DTC.

ProvisioningState

The ARM provisioning state of the job execution.

Value Description
Created

Created

InProgress

InProgress

Succeeded

Succeeded

Failed

Failed

Canceled

Canceled

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.